{
    "$graph": [
        {
            "class": "Workflow",
            "id": "#main",
            "label": "L2_SP",
            "inputs": [
                {
                    "id": "#main/L1B_HR_SCL_150",
                    "type": {
                        "type": "array",
                        "items": "File"
                    }
                }
            ],
            "steps": [
                {
                    "id": "#main/PGE_L2_HR_PIXC",
                    "in": [
                        {
                            "id": "#main/PGE_L2_HR_PIXC/L1B_HR_SCL",
                            "source": "#main/L1B_HR_SCL_150"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/PGE_L2_HR_PIXC/L2_HR_PIXC"
                        }
                    ],
                    "run": "#PGE_L2_HR_PIXC.cwl",
                    "scatter": [
                        "#main/PGE_L2_HR_PIXC/L1B_HR_SCL"
                    ],
                    "scatterMethod": "dotproduct"
                },
                {
                    "id": "#main/PGE_L2_RIVER_TILE",
                    "in": [
                        {
                            "id": "#main/PGE_L2_RIVER_TILE/L2_HR_PIXC",
                            "source": "#main/PGE_L2_HR_PIXC/L2_HR_PIXC"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/PGE_L2_RIVER_TILE/L2_HR_PIXC_VecRiver"
                        },
                        {
                            "id": "#main/PGE_L2_RIVER_TILE/L2_HR_RIVER_TILE"
                        }
                    ],
                    "run": "#PGE_L2_RIVER_TILE.cwl",
                    "scatter": [
                        "#main/PGE_L2_RIVER_TILE/L2_HR_PIXC"
                    ],
                    "scatterMethod": "dotproduct"
                },
                {
                    "id": "#main/PGE_L2_LAKE_TILE",
                    "in": [
                        {
                            "id": "#main/PGE_L2_LAKE_TILE/L2_HR_PIXC_VecRiver",
                            "source": "#main/PGE_L2_RIVER_TILE/L2_HR_PIXC_VecRiver"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/PGE_L2_LAKE_TILE/L2_HR_LAKE_TILE"
                        }
                    ],
                    "run": "#PGE_L2_LAKE_TILE.cwl",
                    "scatter": [
                        "#main/PGE_L2_LAKE_TILE/L2_HR_PIXC_VecRiver"
                    ],
                    "scatterMethod": "dotproduct"
                }
            ],
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                }
            ],
            "outputs": [
                {
                    "id": "#main/L2_HR_LAKE_TILE_150",
                    "outputSource": [
                        "#main/PGE_L2_LAKE_TILE/L2_HR_LAKE_TILE"
                    ],
                    "type": {
                        "type": "array",
                        "items": "File"
                    }
                },
                {
                    "id": "#main/L2_HR_RIVER_TILE_150",
                    "outputSource": [
                        "#main/PGE_L2_RIVER_TILE/L2_HR_RIVER_TILE"
                    ],
                    "type": {
                        "type": "array",
                        "items": "File"
                    }
                }
            ]
        },
        {
            "requirements": [
                {
                    "coresMax": 1,
                    "ramMin": 100,
                    "class": "ResourceRequirement"
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#PGE_L2_HR_PIXC.cwl/L1B_HR_SCL"
                }
            ],
            "baseCommand": [
                "task.py",
                "PGE_L2_HR_PIXC"
            ],
            "stdout": "$(inputs.L1B_HR_SCL.nameroot).PGE_L2_HR_PIXC.txt",
            "outputs": [
                {
                    "type": "File",
                    "id": "#PGE_L2_HR_PIXC.cwl/L2_HR_PIXC",
                    "outputBinding": {
                        "glob": "$(inputs.L1B_HR_SCL.nameroot).PGE_L2_HR_PIXC.txt"
                    }
                }
            ],
            "id": "#PGE_L2_HR_PIXC.cwl"
        },
        {
            "requirements": [
                {
                    "coresMax": 1,
                    "ramMin": 100,
                    "class": "ResourceRequirement"
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#PGE_L2_LAKE_TILE.cwl/L2_HR_PIXC_VecRiver"
                }
            ],
            "baseCommand": [
                "task.py",
                "PGE_L2_LAKE_TILE"
            ],
            "stdout": "$(inputs.L2_HR_PIXC_VecRiver.nameroot).PGE_L2_LAKE_TILE.txt",
            "outputs": [
                {
                    "type": "File",
                    "id": "#PGE_L2_LAKE_TILE.cwl/L2_HR_LAKE_TILE",
                    "outputBinding": {
                        "glob": "$(inputs.L2_HR_PIXC_VecRiver.nameroot).PGE_L2_LAKE_TILE.txt"
                    }
                }
            ],
            "id": "#PGE_L2_LAKE_TILE.cwl"
        },
        {
            "requirements": [
                {
                    "coresMax": 1,
                    "ramMin": 100,
                    "class": "ResourceRequirement"
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#PGE_L2_RIVER_TILE.cwl/L2_HR_PIXC"
                }
            ],
            "baseCommand": [
                "task.py",
                "PGE_L2_RIVER_TILE"
            ],
            "stdout": "$(inputs.L2_HR_PIXC.nameroot).PGE_L2_RIVER_TILE.txt",
            "outputs": [
                {
                    "type": "File",
                    "id": "#PGE_L2_RIVER_TILE.cwl/L2_HR_PIXC_VecRiver",
                    "outputBinding": {
                        "glob": "$(inputs.L2_HR_PIXC.nameroot).PGE_L2_RIVER_TILE.txt"
                    }
                },
                {
                    "type": "File",
                    "id": "#PGE_L2_RIVER_TILE.cwl/L2_HR_RIVER_TILE",
                    "outputBinding": {
                        "glob": "$(inputs.L2_HR_PIXC.nameroot).PGE_L2_RIVER_TILE.txt"
                    }
                }
            ],
            "id": "#PGE_L2_RIVER_TILE.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
